# PDF generation End of Term Surveys

This is how you can generate PDFs for End of Term Surveys. Some examples are provided in examples/

## Usage

### If you do not want emoji support:

```
pip install fpdf2
```
Use `generate_pdf.py` to convert a tsv to a pdf.

### If you do want emoji support:

```
pip install playwright jinja2
playwright install
```
Use `generate_pdf_emoji_support.py` to convert a tsv to a pdf.

## Usage Examples

```
python generate_pdf.py -i "F2024 End of Term Survey Responses.tsv" -o "F24 End of Term Survey (Sorted by Locality).pdf"
```

```
python generate_pdf_emoji_support.py -i "F2024 End of Term Survey Responses.tsv" -o "F24 End of Term Survey (Sorted by Locality).pdf"
```

```
python generate_pdf.py -i "F2024 Fourth Term Survey Responses.tsv" -o "F24 Fourth Term Survey (Sorted by Locality).pdf"
```

```
python generate_pdf_emoji_support.py -i "F2024 Fourth Term Survey Responses.tsv" -o "F24 Fourth Term Survey (Sorted by Locality).pdf"
```

## Actual Usage Example

1. Find the original survey links that were shared with you from the training (to every trainee)
2. Go to the google sheet of responses (shared with only you) and add the correct headings based on the questions
    - there are probably columns called "Column #". You should rename these according to the original survey
    - they should be renamed to things like: "Please evaluate your progress in "Truth (e.g. study times, Bible reading, etc.)" for this past term (1-5, 5 indicating the most progress):"
    - for comments about these, name them "Comments 1", "Comments 2", etc.
    - at the end of Fourth Term Survey, it probably should be called "Further Comments"
3. Required columns: 'Timestamp', 'Email Address', 'Name (last, first):', 'Sending locality:'. WARNING: In previous terms, the column named "Name (last, first):" was called "Name (last, first): " with a space. You need to remove this space to make the output work.


